Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface BrowseGraphic

    @UML(identifier="MD_BrowseGraphic",
         specification=ISO_19115)
    public interface BrowseGraphic

Graphic that provides an illustration of the dataset (should include a legend for the graphic).

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getFileDescription()` Text description of the illustration.
`URI` | `getFileName()` Name of the file that contains a graphic that provides an illustration of the dataset.
`String` | `getFileType()` Format in which the illustration is encoded.

Method Detail

### getFileName

    @UML(identifier="fileName",
         obligation=MANDATORY,
         specification=ISO_19115)
    URI getFileName()

  Name of the file that contains a graphic that provides an illustration of the dataset.

### getFileDescription

    @UML(identifier="fileDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getFileDescription()

  Text description of the illustration.

### getFileType

    @UML(identifier="fileType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getFileType()

  Format in which the illustration is encoded. Examples: CGM, EPS, GIF, JPEG, PBM, PS, TIFF, XWD.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.